# vtkGDCMPolyDataReader Class Reference

`#include <vtkGDCMPolyDataReader.h>`

Collaboration diagram for vtkGDCMPolyDataReader:
[legend]

List of all members.

## Public Member Functions

virtual void | PrintSelf (ostream &os, vtkIndent indent)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetStringMacro (FileName)
| vtkSetStringMacro (FileName)
| vtkTypeRevisionMacro (vtkGDCMPolyDataReader, vtkPolyDataAlgorithm)

## Static Public Member Functions

static vtkGDCMPolyDataReader * | New ()

## Protected Member Functions

| vtkGDCMPolyDataReader ()
| ~vtkGDCMPolyDataReader ()
void | FillMedicalImageInformation (const gdcm::Reader &reader)
int | RequestData (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
int | RequestData_HemodynamicWaveformStorage (gdcm::Reader const &reader, vtkInformationVector *outputVector)
int | RequestData_RTStructureSetStorage (gdcm::Reader const &reader, vtkInformationVector *outputVector)
int | RequestInformation (vtkInformation *vtkNotUsed(request), vtkInformationVector **vtkNotUsed(inputVector), vtkInformationVector *outputVector)
int | RequestInformation_HemodynamicWaveformStorage (gdcm::Reader const &reader)
int | RequestInformation_RTStructureSetStorage (gdcm::Reader const &reader)

## Protected Attributes

char * | FileName
vtkMedicalImageProperties * | MedicalImageProperties

## Detailed Description

Examples:

  gdcmscene.cxx.

## Constructor & Destructor Documentation

vtkGDCMPolyDataReader::vtkGDCMPolyDataReader | ( |  | ) | `[protected]`

vtkGDCMPolyDataReader::~vtkGDCMPolyDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkGDCMPolyDataReader::FillMedicalImageInformation | ( | const gdcm::Reader & | reader | ) | `[protected]`

static vtkGDCMPolyDataReader* vtkGDCMPolyDataReader::New | ( |  | ) | `[static]`

Examples:
  gdcmscene.cxx.

virtual void vtkGDCMPolyDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  | `[virtual]`

int vtkGDCMPolyDataReader::RequestData | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * |
| ) |  | `[protected]`

int vtkGDCMPolyDataReader::RequestData_HemodynamicWaveformStorage | ( | gdcm::Reader const & | reader,
|  | vtkInformationVector * | outputVector
| ) |  | `[protected]`

int vtkGDCMPolyDataReader::RequestData_RTStructureSetStorage | ( | gdcm::Reader const & | reader,
|  | vtkInformationVector * | outputVector
| ) |  | `[protected]`

int vtkGDCMPolyDataReader::RequestInformation | ( | vtkInformation * | vtkNotUsedrequest,
|  | vtkInformationVector ** | vtkNotUsedinputVector,
|  | vtkInformationVector * | outputVector
| ) |  | `[protected]`

int vtkGDCMPolyDataReader::RequestInformation_HemodynamicWaveformStorage | ( | gdcm::Reader const & | reader | ) | `[protected]`

int vtkGDCMPolyDataReader::RequestInformation_RTStructureSetStorage | ( | gdcm::Reader const & | reader | ) | `[protected]`

vtkGDCMPolyDataReader::vtkGetObjectMacro | ( | MedicalImageProperties | ,
|  | vtkMedicalImageProperties |
| ) |  |

vtkGDCMPolyDataReader::vtkGetStringMacro | ( | FileName |  | ) |

vtkGDCMPolyDataReader::vtkSetStringMacro | ( | FileName |  | ) |

vtkGDCMPolyDataReader::vtkTypeRevisionMacro | ( | vtkGDCMPolyDataReader | ,
|  | vtkPolyDataAlgorithm |
| ) |  |

## Member Data Documentation

char* vtkGDCMPolyDataReader::FileName `[protected]`

vtkMedicalImageProperties* vtkGDCMPolyDataReader::MedicalImageProperties `[protected]`

The documentation for this class was generated from the following file:

- vtkGDCMPolyDataReader.h